5 minuts

Quickstart: el vostre primer QR en 5 minuts

Seguiu aquests 3 passos per crear el vostre primer codi QR mitjançant l'API. Sense dependències.

1

Obteniu la vostra clau API

Inicieu sessió al tauler i creeu una clau des de /app/api-keys. Trieu els scopes qr:read i qr:write.

# Store your key in an environment variable
export IZIQR_API_KEY="izi_live_a3f24c8e9b1d7e2f6a8c4b9d3e5f1a7b2c9..."
2

Creeu el vostre primer codi QR

Envieu un POST a /api/v1/qr:

curl -X POST https://iziqrcode.com/api/v1/qr \
  -H "Authorization: Bearer $IZIQR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "url",
    "name": "My first campaign",
    "dynamic": true,
    "data": { "url": "https://example.com" },
    "design": { "fgColor": "#8b78ff", "shape": "rounded" }
  }'

Hauríeu d'obtenir un 201 Created:

201 Created
{
  "id": "qr_abc123def456",
  "shortCode": "x7K2P9",
  "type": "url",
  "name": "My first campaign",
  "dynamic": true,
  "shortUrl": "https://iziqr.co/x7K2P9",
  "qrImageUrl": "https://iziqrcode.com/api/v1/qr/qr_abc123def456/image",
  "scanCount": 0,
  "createdAt": "2026-05-18T10:00:00Z"
}
3

Obteniu la imatge

Feu servir l'URL qrImageUrl per descarregar-la en PNG / SVG / PDF:

# High-resolution PNG
curl "https://iziqrcode.com/api/v1/qr/qr_abc123/image?format=png&size=1024" \
  -H "Authorization: Bearer $IZIQR_API_KEY" \
  -o mon-qr.png

# Vector SVG
curl "https://iziqrcode.com/api/v1/qr/qr_abc123/image?format=svg" \
  -H "Authorization: Bearer $IZIQR_API_KEY" \
  -o my-qr.svg

Això és tot — el vostre primer QR ja és actiu.

Exploreu els altres endpoints: analytics, webhooks, operacions per lots…

Quickstart · iziqrcode